SDL_HINT_JOYSTICK_DIRECTINPUT(3)

NAME
SDL_HINT_JOYSTICK_DIRECTINPUT - A variable controlling whether DirectInput should be used for controllers.

HEADER FILE
Defined in SDL3/SDL_hints.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_HINT_JOYSTICK_DIRECTINPUT SDL_JOYSTICK_DIRECTINPUT"

DESCRIPTION
The variable can be set to the following values: • "0": Disable DirectInput detection. • "1": Enable DirectInput detection. (default) This hint should be set before SDL is initialized.

AVAILABILITY
This hint is available since SDL 3.0.0.